### Function

# GLib log_set_fatal_mask

since: 2.0

#### Declaration

    GLogLevelFlags
    g_log_set_fatal_mask (
      const gchar* log_domain,
      GLogLevelFlags fatal_mask
    )

#### Description

Sets the log levels which are fatal in the given domain.

`GLogLevelFlags` is always fatal.

This has no effect on structured log messages (using `g_log_structured()` or `g_log_structured_array()`). To change the fatal behaviour for specific log messages, programs must install a custom log writer function using `g_log_set_writer_func()`. See Using Structured Logging.

This function is mostly intended to be used with `GLogLevelFlags`. You should typically not set `GLogLevelFlags`, `GLogLevelFlags`, `GLogLevelFlags` or `GLogLevelFlags` as fatal except inside of test programs.

Available since: 2.0

#### Parameters

`log_domain`

  Type: `const gchar*`

  The log domain.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fatal_mask`

  Type: `GLogLevelFlags`

  The new fatal mask.

#### Return value

Type: `GLogLevelFlags`

The old fatal mask for the log domain.